GET
/v1/subscriptions
Bearer
Get subscription by merchant_reference
Query parameters
-
merchant_referencerequired string
Headers
-
X-Mojo-Account-Refoptional string -
Required when sub-accounts are enabled for the merchant (except metadata and balance routes). Targets the sub-account for this request.
GET https://omni.mojo-pay.com/v1/subscriptions
curl -X GET "https://omni.mojo-pay.com/v1/subscriptions?merchant_reference={merchant_reference}" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Accept: application/json"
Response
{
"object": "subscription",
"subscription_id": "SUB_ABCDEF123456",
"status": "active",
"merchant_reference": "SUB-1042",
"customer_name": "Jane Doe",
"customer_email": "jane@example.com",
"plan_id": "PLN_ABCDEF123456",
"plan_name": "Gold Monthly",
"mandate_id": "MD_ABCDEF123456",
"mobile": "233544338841",
"provider": "MTN",
"starts_at": "2026-07-07",
"ends_at": "2036-07-07"
}